### Method

# Fwupd Device has_instance_id

since: 1.2.5

#### Declaration [src]

    gboolean
    fwupd_device_has_instance_id (
      FwupdDevice* self,
      const gchar* instance_id
    )

#### Description [src]

Finds out if the device has this specific instance ID.

Available since: 1.2.5

#### Parameters

`instance_id`

  Type: `const gchar*`

  The instance ID, e.g. `PCI\VEN_10EC&DEV_525A`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if the instance ID is found.